.\"
.\" Created by Torsten Marek <shlomme@debian.org>
.\" Updated for PyQt5 by Dmitry Shachnev <mitya57@debian.org>

.TH PYRCC5 1 "2013/06/29" "pyrcc 5.0"
.SH NAME
pyrcc5 \- compile Qt resource files for PyQt5 applications
.SH SYNOPSIS
.B pyrcc5
[\fIOPTION\fR]... \fIFILES\fR
.SH DESCRIPTION
.B pyrcc5
takes a Qt Resource File (\.qrc) and converts it into a Python module which can be imported into a PyQt5 application. All files loaded by Qt that are prefixed with a colon will be loaded from the resources rather than the file system.

.SH OPTIONS
.TP
\fB\-help\fR
Show a summary of the options.
.TP
.B \-version
Display the version number of the version of Qt which PyQt5 was generated for.
.TP
\fB\-o\fR \fIFILE\fR
Write the generated output to \fIFILE\fR instead of stdout.
.TP
\fB\-name\fR \fIFUN\fR
Create an external initialization function named \fIFUN\fR.
.TP
\fB\-threshold\fR \fILEVEL\fR
Set the threshold above which files should be compressed.
.TP
\fB\-compress\fR \fILEVEL\fR
Set the compression level for all input files.
.TP
\fB\-root\fR \fIPATH\fR
Search all resource referenced in a .qrc file under \fIPATH\fR.
.TP
.B \-no\-compress
Do not compress the resource files at all.

.SH AUTHOR
This manual page was written for Debian GNU/Linux by and Torsten Marek <shlomme@debian.org>, but may freely be used by others.
